<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('posts', function (Blueprint $table) {
            $table->id();
            $table->string('title')->nullable();
            $table->string('slug')->nullable();
            $table->mediumText('excerpt')->nullable();
            $table->foreignId('author_id')->nullable();
            $table->boolean('featured')->default(false);
            $table->string('featured_image');
            $table->enum('editor', ['editorjs'])->default('editorjs');
            $table->json('body')->nullable();
            $table->enum('post_format', ['standard'])->default('standard');
            $table->integer('comment_count')->default(0);
            $table->integer('likes_count')->default(0);
            $table->enum('status', ['publish', 'future', 'draft', 'private', 'trash'])->default('draft');
            $table->timestamps();

            $table->foreign('author_id')->references('id')->on('authors');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('posts');
    }
};
